PDA

View Full Version : ATI X1900 series do not work with LW



Calamari
02-01-2006, 12:59 PM
Just a heads up and wondering if anyone else has had this problem:

I just spent the last 2 weeks building a new workstation with these specs:

Tyan Thunder 8KWE
2 X Opteron 275
4GB RAM
600 GB HD RAID
WinXP Pro SP2
Dell FPW 3007
ATI X1600 512 / X1900XT 512 (Both Saphire brands)

I was happly installing and then running LW on this system with the X1600 with version 6.1 of the ATI drivers with no problems.

Yesterday my X1900XT 512Mb arrived, I used ATI's driver removal tool, removed the X1600, installed the X1900 in and booted, no problems so far.

After which I downloaded the latest ATI drivers - 6.1 - from their site (Nobody really uses CD drivers to they? :D) and tried to install them, at which time the install errored out.

After some research I figured out that the installer was telling me in a very cryptic manner that my card was not supported. I discovered that 6.1 did not support the X-1900 and I would have to use the supplied drivers of the CD, which were version 5.13.

After installing and rebooting I found that LW would/could not initiate the OpenGL display, all the menus were there but the program pretty much was unresponsive and the main display area is left blank. This also happens for modler...

So these are the points I've come away with...

1) More mature chipsets from ATI have no problem with OpenGL in LW (X-1600 with 6.1 drivers)

2) The new X-1900 series is not included within the main driver base the rest of the ATI product are in at the moment. The only driver that works is version 5.13 supplied on disk, which may be a "special" version for the X-1900 series.

3) I surmise that the X-1900 or 5.13 series drivers do not support the complete OpenGL standard.

4) They do however run my BF2 and CS very nicely thank you :lol:

I've spoken to both ATI and Newtek support on this issue and at this point the only solution open to me is to reinstall the X1600.

ATI also has said that sometime this month the new 6.2 drivers should be coming out and support all the ATI chipsets, hopefully their OpenGL format will also be fixed on the X-1900.

Just a heads up for all you graphics card junkies out there...

Armand Ruggeri (AKA Calamari)

P.S. Anyone else have an X-1900 that can confirm this issue? For all I know it may just be something in my setup...

5had0w
02-01-2006, 01:51 PM
Hi. I don't very much of this but did you removed the hardware before changing the gfx? It might be because of that (this is not necessary if you also changed your motherboard)

Cya and gd luck :thumbsup:

Calamari
02-01-2006, 01:57 PM
Hi shadow,

Yup, I used the ATI supplied removal utility before removing the X1600...

There were no other changes to the system, it's only a week old! :) and it was working just fine with the X1600 in it..

:bump:

I'm thinking the next test might be installing the X1600 in the second PCI-e slot and trying to run it on that card, though I'm thinking running 2 dissimilar cards with questionable driver compatibility is asking for trouble :devil:

I'm pretty much sure it's a driver issue overall and it will be fixed in the future, but that doesn't help me much now :thumbsdow

I'll report more after I try installing both in the machine, keep your fingers crossed I don't blow the whole thing up! :eek:

Calamari
02-09-2006, 06:59 PM
Today ATI released version 6.2 their drivers and it seems to have done the trick! :thumbsup:

So you can now run LW with the X1900 series! ;) Just go to www.ATI.com to DL the latest drives!

Calamari